The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"pepperflashplugin-nonfree блокирует dpkg"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на рабочей станции (WEB, Браузеры / Linux)
Изначальное сообщение [ Отслеживать ]

"pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 07:26 
Доброго времени суток!

Поставил оперу, через репозиторий, как описано тут:
https://vitux.com/4-ways-to-install-opera-browser-in-debian-10/

В итоге, блокирует apt
rost@DEBIAN999:~$ sudo dpkg --configure -a
Setting up pepperflashplugin-nonfree (1.8.4) ...

Как выйти из блока или как удалить и оперу и этот пакет.
dpkg, apt-get, synaptic не отвечают.
Пробовал делать ребут, и удалять оперу разными путями,
но для корректоной работы требуется dpkg --configure -a

что вызывает зависание

я так понимаю , это может быть связано с прекращением поддержки флеш?

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Анонимemail (1), 05-Янв-21, 07:53 
> я так понимаю , это может быть связано с прекращением поддержки флеш?

Может.
Какую версию оперы поставил?

Ответить | Правка | Наверх | Cообщить модератору

2. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 07:57 
rost@DEBIAN999:~$ sudo dpkg  --purge --force-all pepperfleshplugin-nonfree
[sudo] password for rost:
dpkg: warning: ignoring request to remove pepperfleshplugin-nonfree which isn't installed
rost@DEBIAN999:~$ sudo dpkg  --purge --force-all opera-stable
(Reading database ... 135641 files and directories currently installed.)
Purging configuration files for opera-stable (73.0.3856.284) ...
rost@DEBIAN999:~$ sudo apt-get update
Hit:1 http://deb.debian.org/debian buster InRelease
Hit:2 http://deb.debian.org/debian buster-updates InRelease              
Hit:3 http://security.debian.org/debian-security buster/updates InRelease
Hit:4 https://repo.skype.com/deb stable InRelease                    
Hit:5 https://deb.opera.com/opera-stable stable InRelease
Reading package lists... Done

только так. т.е. теперь мне сидеть без оперы?

Ответить | Правка | Наверх | Cообщить модератору

3. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Анонимemail (1), 05-Янв-21, 08:01 
> только так. т.е. теперь мне сидеть без оперы?

Та поставь ее без зависимостей:

 
wget https://get.geo.opera.com/ftp/pub/opera/desktop/73.0.3856.28... && dpkg -i Opera_73.0.3856.284_amd64.deb

Ответить | Правка | Наверх | Cообщить модератору

4. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Анонимemail (1), 05-Янв-21, 08:06 
>> только так. т.е. теперь мне сидеть без оперы?
> Та поставь ее без зависимостей:
>
 
> wget https://get.geo.opera.com/ftp/pub/opera/desktop/73.0.3856.28...
> && dpkg -i Opera_73.0.3856.284_amd64.deb
>

Зы
Может оказаться что они со стабильной еще не вычистили зависимости, т.к. пакет собран в начале декабря. В таком случае ставь dev:

 
wget https://get.geo.opera.com/ftp/pub/opera-developer/75.0.3925....
> && dpkg -i opera-developer_75.0.3925.0_amd64.deb
>
Ответить | Правка | Наверх | Cообщить модератору

5. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 18:29 
rost@DEBIAN999:~/Downloads$ sudo dpkg -i opera-stable_73.0.3856.329_amd64.deb
[sudo] password for rost:
Selecting previously unselected package opera-stable.
(Reading database ... 135642 files and directories currently installed.)
Preparing to unpack opera-stable_73.0.3856.329_amd64.deb ...
Unpacking opera-stable (73.0.3856.329) ...
Setting up opera-stable (73.0.3856.329) ...
update-alternatives: using /usr/bin/opera to provide /usr/bin/x-www-browser (x-www-browser) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/x-www-browser.1.gz because associated file /usr/share/man/man1/opera.1.gz (of link group x-www-browser) doesn't exist
update-alternatives: using /usr/bin/opera to provide /usr/bin/gnome-www-browser (gnome-www-browser) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/gnome-www-browser.1.gz because associated file /usr/share/man/man1/opera.1.gz (of link group gnome-www-browser) doesn't exist
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for shared-mime-info (1.10-1) ...
rost@DEBIAN999:~/Downloads$

Работает


Ответить | Правка | Наверх | Cообщить модератору

6. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 18:40 
И эта же ошибка с флеш плагином при попытке установить GNU-plot через synaptic

debconf: unable to initialize frontend: Gnome
debconf: (Can't locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151, <> line 9.)
debconf: falling back to frontend: Dialog
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
Selecting previously unselected package aglfn.
(Reading database ... 135768 files and directories currently installed.)
Preparing to unpack .../0-aglfn_1.7-3_all.deb ...
Unpacking aglfn (1.7-3) ...
Selecting previously unselected package gnuplot-data.
Preparing to unpack .../1-gnuplot-data_5.2.6+dfsg1-1+deb10u1_all.deb ...
Unpacking gnuplot-data (5.2.6+dfsg1-1+deb10u1) ...
Selecting previously unselected package liblua5.3-0:amd64.
Preparing to unpack .../2-liblua5.3-0_5.3.3-1.1_amd64.deb ...
Unpacking liblua5.3-0:amd64 (5.3.3-1.1) ...
Selecting previously unselected package libwxgtk3.0-0v5:amd64.
Preparing to unpack .../3-libwxgtk3.0-0v5_3.0.4+dfsg-8_amd64.deb ...
Unpacking libwxgtk3.0-0v5:amd64 (3.0.4+dfsg-8) ...
Selecting previously unselected package gnuplot-qt.
Preparing to unpack .../4-gnuplot-qt_5.2.6+dfsg1-1+deb10u1_amd64.deb ...
Unpacking gnuplot-qt (5.2.6+dfsg1-1+deb10u1) ...
Selecting previously unselected package gnuplot.
Preparing to unpack .../5-gnuplot_5.2.6+dfsg1-1+deb10u1_all.deb ...
Unpacking gnuplot (5.2.6+dfsg1-1+deb10u1) ...
Selecting previously unselected package gnuplot-doc.
Preparing to unpack .../6-gnuplot-doc_5.2.6+dfsg1-1+deb10u1_all.deb ...
Unpacking gnuplot-doc (5.2.6+dfsg1-1+deb10u1) ...
Selecting previously unselected package groff.
Preparing to unpack .../7-groff_1.22.4-3_amd64.deb ...
Unpacking groff (1.22.4-3) ...
Selecting previously unselected package psutils.
Preparing to unpack .../8-psutils_1.17.dfsg-4_amd64.deb ...
Unpacking psutils (1.17.dfsg-4) ...
Setting up gnuplot-doc (5.2.6+dfsg1-1+deb10u1) ...
Setting up groff (1.22.4-3) ...
Setting up libwxgtk3.0-0v5:amd64 (3.0.4+dfsg-8) ...
Setting up aglfn (1.7-3) ...
Setting up liblua5.3-0:amd64 (5.3.3-1.1) ...
Setting up psutils (1.17.dfsg-4) ...
Setting up pepperflashplugin-nonfree (1.8.4) ...


Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

7. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Аноним (7), 05-Янв-21, 19:48 
>[оверквотинг удален]
> Selecting previously unselected package psutils.
> Preparing to unpack .../8-psutils_1.17.dfsg-4_amd64.deb ...
> Unpacking psutils (1.17.dfsg-4) ...
> Setting up gnuplot-doc (5.2.6+dfsg1-1+deb10u1) ...
> Setting up groff (1.22.4-3) ...
> Setting up libwxgtk3.0-0v5:amd64 (3.0.4+dfsg-8) ...
> Setting up aglfn (1.7-3) ...
> Setting up liblua5.3-0:amd64 (5.3.3-1.1) ...
> Setting up psutils (1.17.dfsg-4) ...
> Setting up pepperflashplugin-nonfree (1.8.4) ...

dpkg -r pepperflashplugin-nonfree

Ответить | Правка | Наверх | Cообщить модератору

8. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 20:29 
>
dpkg -r pepperflashplugin-nonfree

пакет pepperflashplugin-nonfree не установлен, надо делать purge gnuplot

Ответить | Правка | Наверх | Cообщить модератору

9. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 20:37 
Хотел скомпилить из исходного кода. Начал устанавливать С++ нужный для компилирования

debconf: unable to initialize frontend: Gnome
debconf: (Can't locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151, <> line 40.)
debconf: falling back to frontend: Dialog
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
Extracting templates from packages: 100%
Selecting previously unselected package binfmt-support.
(Reading database ... 137510 files and directories currently installed.)
Preparing to unpack .../00-binfmt-support_2.2.0-2_amd64.deb ...
Unpacking binfmt-support (2.2.0-2) ...
Selecting previously unselected package libllvm6.0:amd64.
Preparing to unpack .../01-libllvm6.0_1%3a6.0.1-10_amd64.deb ...
Unpacking libllvm6.0:amd64 (1:6.0.1-10) ...
Selecting previously unselected package libitm1:amd64.
Preparing to unpack .../02-libitm1_8.3.0-6_amd64.deb ...
Unpacking libitm1:amd64 (8.3.0-6) ...
Selecting previously unselected package libasan5:amd64.
Preparing to unpack .../03-libasan5_8.3.0-6_amd64.deb ...
Unpacking libasan5:amd64 (8.3.0-6) ...
Selecting previously unselected package liblsan0:amd64.
Preparing to unpack .../04-liblsan0_8.3.0-6_amd64.deb ...
Unpacking liblsan0:amd64 (8.3.0-6) ...
Selecting previously unselected package libtsan0:amd64.
Preparing to unpack .../05-libtsan0_8.3.0-6_amd64.deb ...
Unpacking libtsan0:amd64 (8.3.0-6) ...
Selecting previously unselected package libubsan1:amd64.
Preparing to unpack .../06-libubsan1_8.3.0-6_amd64.deb ...
Unpacking libubsan1:amd64 (8.3.0-6) ...
Selecting previously unselected package libmpx2:amd64.
Preparing to unpack .../07-libmpx2_8.3.0-6_amd64.deb ...
Unpacking libmpx2:amd64 (8.3.0-6) ...
Selecting previously unselected package libgcc-8-dev:amd64.
Preparing to unpack .../08-libgcc-8-dev_8.3.0-6_amd64.deb ...
Unpacking libgcc-8-dev:amd64 (8.3.0-6) ...
Selecting previously unselected package libc-dev-bin.
Preparing to unpack .../09-libc-dev-bin_2.28-10_amd64.deb ...
Unpacking libc-dev-bin (2.28-10) ...
Selecting previously unselected package linux-libc-dev:amd64.
Preparing to unpack .../10-linux-libc-dev_4.19.160-2_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.19.160-2) ...
Selecting previously unselected package libc6-dev:amd64.
Preparing to unpack .../11-libc6-dev_2.28-10_amd64.deb ...
Unpacking libc6-dev:amd64 (2.28-10) ...
Selecting previously unselected package libstdc++-8-dev:amd64.
Preparing to unpack .../12-libstdc++-8-dev_8.3.0-6_amd64.deb ...
Unpacking libstdc++-8-dev:amd64 (8.3.0-6) ...
Selecting previously unselected package libgc1c2:amd64.
Preparing to unpack .../13-libgc1c2_1%3a7.6.4-0.4_amd64.deb ...
Unpacking libgc1c2:amd64 (1:7.6.4-0.4) ...
Selecting previously unselected package libobjc4:amd64.
Preparing to unpack .../14-libobjc4_8.3.0-6_amd64.deb ...
Unpacking libobjc4:amd64 (8.3.0-6) ...
Selecting previously unselected package libobjc-8-dev:amd64.
Preparing to unpack .../15-libobjc-8-dev_8.3.0-6_amd64.deb ...
Unpacking libobjc-8-dev:amd64 (8.3.0-6) ...
Selecting previously unselected package libc6-i386.
Preparing to unpack .../16-libc6-i386_2.28-10_amd64.deb ...
Unpacking libc6-i386 (2.28-10) ...
Selecting previously unselected package lib32gcc1.
Preparing to unpack .../17-lib32gcc1_1%3a8.3.0-6_amd64.deb ...
Unpacking lib32gcc1 (1:8.3.0-6) ...
Selecting previously unselected package lib32stdc++6.
Preparing to unpack .../18-lib32stdc++6_8.3.0-6_amd64.deb ...
Unpacking lib32stdc++6 (8.3.0-6) ...
Selecting previously unselected package libclang-common-6.0-dev.
Preparing to unpack .../19-libclang-common-6.0-dev_1%3a6.0.1-10_amd64.deb ...
Unpacking libclang-common-6.0-dev (1:6.0.1-10) ...
Selecting previously unselected package libclang1-6.0:amd64.
Preparing to unpack .../20-libclang1-6.0_1%3a6.0.1-10_amd64.deb ...
Unpacking libclang1-6.0:amd64 (1:6.0.1-10) ...
Selecting previously unselected package clang-6.0.
Preparing to unpack .../21-clang-6.0_1%3a6.0.1-10_amd64.deb ...
Unpacking clang-6.0 (1:6.0.1-10) ...
Selecting previously unselected package clang-6.0-doc.
Preparing to unpack .../22-clang-6.0-doc_1%3a6.0.1-10_all.deb ...
Unpacking clang-6.0-doc (1:6.0.1-10) ...
Selecting previously unselected package libclang-common-7-dev.
Preparing to unpack .../23-libclang-common-7-dev_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking libclang-common-7-dev (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package libclang1-7.
Preparing to unpack .../24-libclang1-7_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking libclang1-7 (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package clang-7.
Preparing to unpack .../25-clang-7_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking clang-7 (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package clang-7-doc.
Preparing to unpack .../26-clang-7-doc_1%3a7.0.1-8+deb10u2_all.deb ...
Unpacking clang-7-doc (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package libffi-dev:amd64.
Preparing to unpack .../27-libffi-dev_3.2.1-9_amd64.deb ...
Unpacking libffi-dev:amd64 (3.2.1-9) ...
Selecting previously unselected package libncurses-dev:amd64.
Preparing to unpack .../28-libncurses-dev_6.1+20181013-2+deb10u2_amd64.deb ...
Unpacking libncurses-dev:amd64 (6.1+20181013-2+deb10u2) ...
Selecting previously unselected package libomp5-7:amd64.
Preparing to unpack .../29-libomp5-7_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking libomp5-7:amd64 (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package libomp-7-dev.
Preparing to unpack .../30-libomp-7-dev_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking libomp-7-dev (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package libomp-dev.
Preparing to unpack .../31-libomp-dev_1%3a7.0-47_amd64.deb ...
Unpacking libomp-dev (1:7.0-47) ...
Selecting previously unselected package libtinfo-dev:amd64.
Preparing to unpack .../32-libtinfo-dev_6.1+20181013-2+deb10u2_amd64.deb ...
Unpacking libtinfo-dev:amd64 (6.1+20181013-2+deb10u2) ...
Selecting previously unselected package llvm-6.0-runtime.
Preparing to unpack .../33-llvm-6.0-runtime_1%3a6.0.1-10_amd64.deb ...
Unpacking llvm-6.0-runtime (1:6.0.1-10) ...
Selecting previously unselected package llvm-6.0.
Preparing to unpack .../34-llvm-6.0_1%3a6.0.1-10_amd64.deb ...
Unpacking llvm-6.0 (1:6.0.1-10) ...
Selecting previously unselected package llvm-6.0-dev.
Preparing to unpack .../35-llvm-6.0-dev_1%3a6.0.1-10_amd64.deb ...
Unpacking llvm-6.0-dev (1:6.0.1-10) ...
Selecting previously unselected package llvm-7-runtime.
Preparing to unpack .../36-llvm-7-runtime_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking llvm-7-runtime (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package llvm-7.
Preparing to unpack .../37-llvm-7_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking llvm-7 (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package llvm-7-dev.
Preparing to unpack .../38-llvm-7-dev_1%3a7.0.1-8+deb10u2_amd64.deb ...
Unpacking llvm-7-dev (1:7.0.1-8+deb10u2) ...
Selecting previously unselected package manpages-dev.
Preparing to unpack .../39-manpages-dev_4.16-2_all.deb ...
Unpacking manpages-dev (4.16-2) ...
Setting up manpages-dev (4.16-2) ...
Setting up libgc1c2:amd64 (1:7.6.4-0.4) ...
Setting up linux-libc-dev:amd64 (4.19.160-2) ...
Setting up libobjc4:amd64 (8.3.0-6) ...
Setting up libffi-dev:amd64 (3.2.1-9) ...
Setting up libllvm6.0:amd64 (1:6.0.1-10) ...
Setting up clang-6.0-doc (1:6.0.1-10) ...
Setting up libclang1-6.0:amd64 (1:6.0.1-10) ...
Setting up libasan5:amd64 (8.3.0-6) ...
Setting up libomp5-7:amd64 (1:7.0.1-8+deb10u2) ...
Setting up binfmt-support (2.2.0-2) ...
Created symlink /etc/systemd/system/multi-user.target.wants/binfmt-support.service → /lib/systemd/system/binfmt-support.service.
Setting up libmpx2:amd64 (8.3.0-6) ...
Setting up libubsan1:amd64 (8.3.0-6) ...
Setting up clang-7-doc (1:7.0.1-8+deb10u2) ...
Setting up llvm-6.0-runtime (1:6.0.1-10) ...
Setting up libc6-i386 (2.28-10) ...
Setting up libclang1-7 (1:7.0.1-8+deb10u2) ...
Setting up libc-dev-bin (2.28-10) ...
Setting up liblsan0:amd64 (8.3.0-6) ...
Setting up libitm1:amd64 (8.3.0-6) ...
Setting up pepperflashplugin-nonfree (1.8.4) ...


ошибка все та же


Ответить | Правка | Наверх | Cообщить модератору

10. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 20:44 
> Setting up pepperflashplugin-nonfree (1.8.4) ...
> ошибка все та же

rost@DEBIAN999:~$ sudo dpkg  --purge --force-all pepperflashplugin-nonfree
[sudo] password for rost:
(Reading database ... 146927 files and directories currently installed.)
Removing pepperflashplugin-nonfree (1.8.4) ...
Purging configuration files for pepperflashplugin-nonfree (1.8.4) ...
rost@DEBIAN999:~$ sudo apt-get update
Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
Hit:2 http://deb.debian.org/debian buster InRelease                            
Hit:3 http://deb.debian.org/debian buster-updates InRelease            
Hit:4 https://repo.skype.com/deb stable InRelease                      
Hit:5 https://deb.opera.com/opera-stable stable InRelease
Fetched 65.4 kB in 1s (64.2 kB/s)
Reading package lists... Done

Ответить | Правка | Наверх | Cообщить модератору

11. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 20:51 
rost@DEBIAN999:~$ wget http://ftp.br.debian.org/debian/pool/contrib/p/pepperflashpl...
--2021-01-05 19:45:41--  http://ftp.br.debian.org/debian/pool/contrib/p/pepperflashpl...
Resolving ftp.br.debian.org (ftp.br.debian.org)... 200.236.31.3, 2801:82:80ff:8000::4
Connecting to ftp.br.debian.org (ftp.br.debian.org)|200.236.31.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6324 (6.2K) [application/x-debian-package]
Saving to: ‘pepperflashplugin-nonfree_1.8.7_amd64.deb’

pepperflashplugin-n 100%[===================>]   6.18K  --.-KB/s    in 0s      

2021-01-05 19:45:42 (347 MB/s) - ‘pepperflashplugin-nonfree_1.8.7_amd64.deb’ saved [6324/6324]

rost@DEBIAN999:~$ sudo dpkg -i pepperflashplugin-nonfree_1.8.7_amd64.deb
[sudo] password for rost:
Selecting previously unselected package pepperflashplugin-nonfree.
(Reading database ... 146921 files and directories currently installed.)
Preparing to unpack pepperflashplugin-nonfree_1.8.7_amd64.deb ...
Unpacking pepperflashplugin-nonfree (1.8.7) ...
dpkg: dependency problems prevent configuration of pepperflashplugin-nonfree:
pepperflashplugin-nonfree depends on libgcc-s1; however:
  Package libgcc-s1 is not installed.

dpkg: error processing package pepperflashplugin-nonfree (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
pepperflashplugin-nonfree
rost@DEBIAN999:~$ sudo apt-get install libgcc-s1;
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libgcc-s1 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libgcc-s1' has no installation candidate
rost@DEBIAN999:~$ libgcc
bash: libgcc: command not found
rost@DEBIAN999:~$ sudo apt-get install libgcc
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package libgcc
rost@DEBIAN999:~$ sudo apt-get install gcc-10
Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package gcc-10
rost@DEBIAN999:~$ wget http://ftp.br.debian.org/debian/pool/main/g/gcc-10/libgcc-s1...
--2021-01-05 19:48:28--  http://ftp.br.debian.org/debian/pool/main/g/gcc-10/libgcc-s1...
Resolving ftp.br.debian.org (ftp.br.debian.org)... 200.236.31.3, 2801:82:80ff:8000::4
Connecting to ftp.br.debian.org (ftp.br.debian.org)|200.236.31.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 41344 (40K) [application/x-debian-package]
Saving to: ‘libgcc-s1_10.2.1-3_amd64.deb’

libgcc-s1_10.2.1-3_ 100%[===================>]  40.38K   157KB/s    in 0.3s    

2021-01-05 19:48:28 (157 KB/s) - ‘libgcc-s1_10.2.1-3_amd64.deb’ saved [41344/41344]

rost@DEBIAN999:~$ sudo dpkg -i libgcc-s1_10.2.1-3_amd64.deb
Selecting previously unselected package libgcc-s1:amd64.
(Reading database ... 146928 files and directories currently installed.)
Preparing to unpack libgcc-s1_10.2.1-3_amd64.deb ...
Unpacking libgcc-s1:amd64 (10.2.1-3) ...
Replacing files in old package libgcc1:amd64 (1:8.3.0-6) ...
dpkg: dependency problems prevent configuration of libgcc-s1:amd64:
libgcc-s1:amd64 depends on gcc-10-base (= 10.2.1-3); however:
  Package gcc-10-base is not installed.

dpkg: error processing package libgcc-s1:amd64 (--install):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-10) ...
Errors were encountered while processing:
libgcc-s1:amd64
rost@DEBIAN999:~$ sudo apt-get install gcc-10-base
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package gcc-10-base is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gcc-10-base' has no installation candidate
rost@DEBIAN999:~$ wget http://ftp.br.debian.org/debian/pool/main/g/gcc-10/gcc-10-ba...
--2021-01-05 19:50:02--  http://ftp.br.debian.org/debian/pool/main/g/gcc-10/gcc-10-ba...
Resolving ftp.br.debian.org (ftp.br.debian.org)... 200.236.31.3, 2801:82:80ff:8000::4
Connecting to ftp.br.debian.org (ftp.br.debian.org)|200.236.31.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 200684 (196K) [application/x-debian-package]
Saving to: ‘gcc-10-base_10.2.1-3_amd64.deb’

gcc-10-base_10.2.1- 100%[===================>] 195.98K   251KB/s    in 0.8s    

2021-01-05 19:50:03 (251 KB/s) - ‘gcc-10-base_10.2.1-3_amd64.deb’ saved [200684/200684]

rost@DEBIAN999:~$ sudo dpkg -i gcc-10-base_10.2.1-3_amd64.deb
Selecting previously unselected package gcc-10-base:amd64.
(Reading database ... 146930 files and directories currently installed.)
Preparing to unpack gcc-10-base_10.2.1-3_amd64.deb ...
Unpacking gcc-10-base:amd64 (10.2.1-3) ...
Setting up gcc-10-base:amd64 (10.2.1-3) ...
rost@DEBIAN999:~$

Я попробовал вручную поставить последний рабочий pepperflsh-nonfree, gcc-10 и еще одну библитеку
Посмотрим что из этого выйдет

Ответить | Правка | Наверх | Cообщить модератору

12. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 05-Янв-21, 20:56 
rost@DEBIAN999:~$ sudo apt-get install gnuplot
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following NEW packages will be installed:
  gnuplot
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
22 not fully installed or removed.
Need to get 0 B/128 kB of archives.
After this operation, 139 kB of additional disk space will be used.
Selecting previously unselected package gnuplot.
(Reading database ... 146935 files and directories currently installed.)
Preparing to unpack .../gnuplot_5.2.6+dfsg1-1+deb10u1_all.deb ...
Unpacking gnuplot (5.2.6+dfsg1-1+deb10u1) ...
Setting up llvm-7-runtime (1:7.0.1-8+deb10u2) ...
Setting up llvm-7 (1:7.0.1-8+deb10u2) ...
Setting up llvm-6.0 (1:6.0.1-10) ...
Setting up lib32gcc1 (1:8.3.0-6) ...
Setting up libgcc-s1:amd64 (10.2.1-3) ...
Setting up libomp-7-dev (1:7.0.1-8+deb10u2) ...
Setting up lib32stdc++6 (8.3.0-6) ...
Setting up libclang-common-7-dev (1:7.0.1-8+deb10u2) ...
Setting up libc6-dev:amd64 (2.28-10) ...
Setting up gnuplot (5.2.6+dfsg1-1+deb10u1) ...
Setting up pepperflashplugin-nonfree (1.8.7) ...
--2021-01-05 19:52:09--  https://get.adobe.com/flashplayer/webservices/json/?platform...
Resolving get.adobe.com (get.adobe.com)... 193.104.215.66
Connecting to get.adobe.com (get.adobe.com)|193.104.215.66|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://www.adobe.com/products/flashplayer/end-of-life.html?... [following]
--2021-01-05 19:52:10--  https://www.adobe.com/products/flashplayer/end-of-life.html?...
Resolving www.adobe.com (www.adobe.com)... 87.245.216.82, 87.245.216.121, 2a02:26f0:4800::215:5963, ...
Connecting to www.adobe.com (www.adobe.com)|87.245.216.82|:443... connected.
HTTP request sent, awaiting response... Read error (Success.) in headers.
Retrying.

--2021-01-05 19:52:26--  (try: 2)  https://www.adobe.com/products/flashplayer/end-of-life.html?...
Connecting to www.adobe.com (www.adobe.com)|87.245.216.82|:443... connected.
HTTP request sent, awaiting response... Read error (Success.) in headers.
Retrying.

--2021-01-05 19:52:43--  (try: 3)  https://www.adobe.com/products/flashplayer/end-of-life.html?...
Connecting to www.adobe.com (www.adobe.com)|87.245.216.82|:443... connected.
HTTP request sent, awaiting response... Read error (Success.) in headers.
Giving up.

ERROR: failed to determine upstream version
More information might be available at:
  http://wiki.debian.org/PepperFlashPlayer
Setting up libomp-dev (1:7.0-47) ...
Setting up libtsan0:amd64 (8.3.0-6) ...
Setting up libncurses-dev:amd64 (6.1+20181013-2+deb10u2) ...
Setting up libclang-common-6.0-dev (1:6.0.1-10) ...
Setting up llvm-6.0-dev (1:6.0.1-10) ...
Setting up libgcc-8-dev:amd64 (8.3.0-6) ...
Setting up libstdc++-8-dev:amd64 (8.3.0-6) ...
Setting up libtinfo-dev:amd64 (6.1+20181013-2+deb10u2) ...
Setting up llvm-7-dev (1:7.0.1-8+deb10u2) ...
Setting up libobjc-8-dev:amd64 (8.3.0-6) ...
Setting up clang-6.0 (1:6.0.1-10) ...
Setting up clang-7 (1:7.0.1-8+deb10u2) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for systemd (241-7~deb10u5) ...
Processing triggers for libc-bin (2.28-10) ...
rost@DEBIAN999:~$ gnuplot

    G N U P L O T
    Version 5.2 patchlevel 6    last modified 2019-01-01

    Copyright (C) 1986-1993, 1998, 2004, 2007-2018
    Thomas Williams, Colin Kelley and many others

    gnuplot home:     http://www.gnuplot.info
    faq, bugs, etc:   type "help FAQ"
    immediate help:   type "help"  (plot window: hit 'h')

Terminal type is now 'qt'
gnuplot> plot sin(x)
gnuplot>

РАБОТАЕТ!!!!

Обратите внимание на попытку выкачать флеш с сайта adobe
--2021-01-05 19:52:43--  (try: 3)  https://www.adobe.com/products/flashplayer/end-of-life.html?...
Connecting to www.adobe.com (www.adobe.com)|87.245.216.82|:443... connected.
HTTP request sent, awaiting response... Read error (Success.) in headers.
Giving up.

Поддержка кончилась, флеша больше не будет.


Ответить | Правка | Наверх | Cообщить модератору

13. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Анонимemail (1), 05-Янв-21, 21:02 

> Я попробовал вручную поставить последний рабочий pepperflsh-nonfree,

Нахрена? Его снести нужно, а не ставить.


> gcc-10
> ...
> Посмотрим что из этого выйдет

Ничего не выйдет. С какой радости gcc-10, если там 7й или 8й????

Ответить | Правка | К родителю #11 | Наверх | Cообщить модератору

14. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 06-Янв-21, 09:00 
>> Я попробовал вручную поставить последний рабочий pepperflsh-nonfree,
> Нахрена? Его снести нужно, а не ставить.

я поставил последний стабильный. он нормально конфигурируется при установке пакетов, ссылающихся на него.


>> gcc-10
>> ...
>> Посмотрим что из этого выйдет
> Ничего не выйдет. С какой радости gcc-10, если там 7й или 8й????

зависимости на 10 установлены.

Ответить | Правка | Наверх | Cообщить модератору

15. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Isothiocyanate (ok), 06-Янв-21, 12:03 
> Ничего не выйдет. С какой радости gcc-10, если там 7й или 8й????

Из палок и ниток, на соплях, но таки работает %)

Ответить | Правка | К родителю #13 | Наверх | Cообщить модератору

16. "pepperflashplugin-nonfree блокирует dpkg"  +/
Сообщение от Анонимemail (1), 07-Янв-21, 19:08 
>> Ничего не выйдет. С какой радости gcc-10, если там 7й или 8й????
> Из палок и ниток, на соплях, но таки работает %)

Радует две вещи:
1) правильная оценка того как это все слеплено
2) что оно работает даже не взирая на то как и на чём оно слеплено
😂😂😂

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру